"use strict";

var _asyncOperations = require("./async-operations");

test('setAsyncOperation', function () {
  expect((0, _asyncOperations.setAsyncOperation)({}, 'a')).toEqual({
    a: true
  });
  expect((0, _asyncOperations.setAsyncOperation)({}, 'a', 'custom')).toEqual({
    a: 'custom'
  });
});
test('delAsyncOperation', function () {
  var asyncState = {
    foo: 'foo',
    bar: 'bar'
  };
  expect((0, _asyncOperations.delAsyncOperation)(asyncState, 'foo')).toEqual({
    bar: 'bar'
  });
});
test('clearAsyncOperation', function () {
  var asyncState = {
    foo: 'foo',
    bar: 'bar'
  };
  expect((0, _asyncOperations.clearAsyncOperation)(asyncState)).toEqual({});
  expect((0, _asyncOperations.clearAsyncOperation)(asyncState, 'foo')).toEqual({
    foo: 'foo'
  });
});