"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _actions = require("./actions");

var _asyncReducer = _interopRequireDefault(require("./async-reducer"));

test('asyncReducer', function () {
  var state;
  state = (0, _asyncReducer.default)();
  expect(state).toEqual({});
  state = (0, _asyncReducer.default)(state, (0, _actions.fetchPageRequest)());
  expect(state).toEqual({
    page: true
  });
  state = (0, _asyncReducer.default)(state, (0, _actions.asyncRequest)('hey'));
  expect(state).toEqual({
    page: true,
    hey: true
  });
  state = (0, _asyncReducer.default)(state, (0, _actions.navigation)());
  expect(state).toEqual({
    page: true
  });
  state = (0, _asyncReducer.default)(state, (0, _actions.fetchPageSuccess)());
  expect(state).toEqual({});
  state = (0, _asyncReducer.default)(state, (0, _actions.fetchPageRequest)());
  expect(state).toEqual({
    page: true
  });
  state = (0, _asyncReducer.default)(state, (0, _actions.fetchPageFailure)());
  expect(state).toEqual({});
  state = (0, _asyncReducer.default)(state, (0, _actions.asyncRequest)('success-case'));
  expect(state).toEqual({
    'success-case': true
  });
  state = (0, _asyncReducer.default)(state, (0, _actions.asyncSuccess)({
    asyncKey: 'success-case'
  }));
  expect(state).toEqual({});
  state = (0, _asyncReducer.default)(state, (0, _actions.asyncRequest)('failure-case'));
  expect(state).toEqual({
    'failure-case': true
  });
  state = (0, _asyncReducer.default)(state, (0, _actions.asyncFailure)({
    asyncKey: 'failure-case'
  }));
  expect(state).toEqual({});
});