"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearAsyncExceptPageReduction = exports.delAsyncReductionFromAsyncKeyProp = exports.delAsyncPageReduction = exports.delAsyncReduction = exports.setAsyncCustomReductionFromProps = exports.setAsyncFailureReductionFromAsyncKeyProp = exports.setAsyncFailureReduction = exports.setAsyncSuccessReductionFromAsyncKeyProp = exports.setAsyncSuccessReduction = exports.setAsyncRequestReductionFromAsyncKeyProp = exports.setAsyncRequestReduction = exports.setAsyncTrueReductionFromAsyncKeyProp = exports.setAsyncPageTrueReduction = exports.setAsyncTrueReduction = exports.FAILURE = exports.SUCCESS = exports.REQUEST = void 0;

var _asyncOperations = require("./async-operations");

var REQUEST = 'REQUEST';
exports.REQUEST = REQUEST;
var SUCCESS = 'SUCCESS';
exports.SUCCESS = SUCCESS;
var FAILURE = 'FAILURE';
exports.FAILURE = FAILURE;

var setAsyncTrueReduction = function setAsyncTrueReduction(key) {
  return function (state) {
    return (0, _asyncOperations.setAsyncOperation)(state, key);
  };
};

exports.setAsyncTrueReduction = setAsyncTrueReduction;

var setAsyncPageTrueReduction = function setAsyncPageTrueReduction() {
  return function (state) {
    return (0, _asyncOperations.setAsyncOperation)(state, 'page');
  };
};

exports.setAsyncPageTrueReduction = setAsyncPageTrueReduction;

var setAsyncTrueReductionFromAsyncKeyProp = function setAsyncTrueReductionFromAsyncKeyProp(payload) {
  return function (state) {
    return (0, _asyncOperations.setAsyncOperation)(state, payload.asyncKey);
  };
};

exports.setAsyncTrueReductionFromAsyncKeyProp = setAsyncTrueReductionFromAsyncKeyProp;

var setAsyncRequestReduction = function setAsyncRequestReduction(key) {
  return function (state) {
    return (0, _asyncOperations.setAsyncOperation)(state, key, REQUEST);
  };
};

exports.setAsyncRequestReduction = setAsyncRequestReduction;

var setAsyncRequestReductionFromAsyncKeyProp = function setAsyncRequestReductionFromAsyncKeyProp(payload) {
  return function (state) {
    return (0, _asyncOperations.setAsyncOperation)(state, payload.asyncKey, REQUEST);
  };
};

exports.setAsyncRequestReductionFromAsyncKeyProp = setAsyncRequestReductionFromAsyncKeyProp;

var setAsyncSuccessReduction = function setAsyncSuccessReduction(key) {
  return function (state) {
    return (0, _asyncOperations.setAsyncOperation)(state, key, SUCCESS);
  };
};

exports.setAsyncSuccessReduction = setAsyncSuccessReduction;

var setAsyncSuccessReductionFromAsyncKeyProp = function setAsyncSuccessReductionFromAsyncKeyProp(payload) {
  return function (state) {
    return (0, _asyncOperations.setAsyncOperation)(state, payload.asyncKey, SUCCESS);
  };
};

exports.setAsyncSuccessReductionFromAsyncKeyProp = setAsyncSuccessReductionFromAsyncKeyProp;

var setAsyncFailureReduction = function setAsyncFailureReduction(key) {
  return function (state) {
    return (0, _asyncOperations.setAsyncOperation)(state, key, FAILURE);
  };
};

exports.setAsyncFailureReduction = setAsyncFailureReduction;

var setAsyncFailureReductionFromAsyncKeyProp = function setAsyncFailureReductionFromAsyncKeyProp(payload) {
  return function (state) {
    return (0, _asyncOperations.setAsyncOperation)(state, payload.asyncKey, FAILURE);
  };
};

exports.setAsyncFailureReductionFromAsyncKeyProp = setAsyncFailureReductionFromAsyncKeyProp;

var setAsyncCustomReductionFromProps = function setAsyncCustomReductionFromProps(payload) {
  return function (state) {
    return (0, _asyncOperations.setAsyncOperation)(state, payload.asyncKey, payload.asyncValue);
  };
};

exports.setAsyncCustomReductionFromProps = setAsyncCustomReductionFromProps;

var delAsyncReduction = function delAsyncReduction(key) {
  return function (state) {
    return (0, _asyncOperations.delAsyncOperation)(state, key);
  };
};

exports.delAsyncReduction = delAsyncReduction;

var delAsyncPageReduction = function delAsyncPageReduction() {
  return function (state) {
    return (0, _asyncOperations.delAsyncOperation)(state, 'page');
  };
};

exports.delAsyncPageReduction = delAsyncPageReduction;

var delAsyncReductionFromAsyncKeyProp = function delAsyncReductionFromAsyncKeyProp(payload) {
  return function (state) {
    return (0, _asyncOperations.delAsyncOperation)(state, payload.asyncKey);
  };
};

exports.delAsyncReductionFromAsyncKeyProp = delAsyncReductionFromAsyncKeyProp;

var clearAsyncExceptPageReduction = function clearAsyncExceptPageReduction() {
  return function (state) {
    return (0, _asyncOperations.clearAsyncOperation)(state, 'page');
  };
};

exports.clearAsyncExceptPageReduction = clearAsyncExceptPageReduction;