"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _actions = require("./actions");

var _dataReducer = _interopRequireDefault(require("./data-reducer"));

test('dataReducer', function () {
  var state;
  state = (0, _dataReducer.default)(state, (0, _actions.fetchPageSuccess)({
    data: {
      a: 'a'
    }
  }));
  expect(state).toEqual({
    a: 'a'
  });
  state = (0, _dataReducer.default)(state, (0, _actions.navigation)());
  expect(state).toEqual({});
  state = (0, _dataReducer.default)(state, (0, _actions.asyncSuccess)({
    data: {
      a: 'a'
    }
  }));
  expect(state).toEqual({
    a: 'a'
  });
  state = (0, _dataReducer.default)(state, (0, _actions.fetchPageRequest)());
  expect(state).toEqual({});
  state = (0, _dataReducer.default)(state, (0, _actions.invalidateFields)({
    a: 'a'
  }));
  expect(state).toEqual({
    invalidFields: {
      a: 'a'
    }
  });
  state = (0, _dataReducer.default)(state, (0, _actions.clearInvalidFields)());
  expect(state).toEqual({});
});