"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearDataReduction = exports.clearInvalidFieldsReduction = exports.delDataReduction = exports.addInvalidFieldsDataReduction = exports.addDataReductionFromDataProp = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/objectSpread"));

var _dataOperations = require("./data-operations");

var addDataReductionFromDataProp = function addDataReductionFromDataProp(payload) {
  return function (state) {
    return (0, _dataOperations.addDataOperation)(state, (0, _objectSpread2.default)({}, payload.data));
  };
};

exports.addDataReductionFromDataProp = addDataReductionFromDataProp;

var addInvalidFieldsDataReduction = function addInvalidFieldsDataReduction(payload) {
  return function (state) {
    return (0, _dataOperations.addDataOperation)(state, {
      invalidFields: payload
    });
  };
};

exports.addInvalidFieldsDataReduction = addInvalidFieldsDataReduction;

var delDataReduction = function delDataReduction(key) {
  return function (state) {
    return (0, _dataOperations.delDataOperation)(state, key);
  };
};

exports.delDataReduction = delDataReduction;

var clearInvalidFieldsReduction = function clearInvalidFieldsReduction() {
  return function (state) {
    return (0, _dataOperations.delDataOperation)(state, 'invalidFields');
  };
};

exports.clearInvalidFieldsReduction = clearInvalidFieldsReduction;

var clearDataReduction = function clearDataReduction() {
  return function () {
    return (0, _dataOperations.clearDataOperation)();
  };
};

exports.clearDataReduction = clearDataReduction;