"use strict";

var _recompose = require("recompose");

var _dataReductions = require("./data-reductions");

test('addDataReductionFromDataProp', function () {
  expect((0, _dataReductions.addDataReductionFromDataProp)({
    data: {
      a: 'a'
    }
  })({})).toEqual({
    a: 'a'
  });
});
test('addInvalidFieldsDataReduction', function () {
  expect((0, _dataReductions.addInvalidFieldsDataReduction)({
    a: 'a'
  })({})).toEqual({
    invalidFields: {
      a: 'a'
    }
  });
});
test('delDataReduction', function () {
  var dataState = {
    foo: 'foo',
    bar: 'bar'
  };
  expect((0, _dataReductions.delDataReduction)('foo')(dataState)).toEqual({
    bar: 'bar'
  });
  expect((0, _recompose.compose)((0, _dataReductions.delDataReduction)('foo'))(dataState)).toEqual({
    bar: 'bar'
  });
});
test('clearDataReduction', function () {
  var dataState = {
    foo: 'foo'
  };
  expect((0, _dataReductions.clearDataReduction)()(dataState)).toEqual({});
  expect((0, _recompose.compose)((0, _dataReductions.clearDataReduction)())(dataState)).toEqual({});
});